--- title: "GET | Listar o status da solicitação por [id]" slug: "api-clm-list-request-status-by-id" updated: 2026-06-24T19:14:34Z published: 2026-06-24T19:14:34Z canonical: "docs.senhasegura.io/api-clm-list-request-status-by-id" stale: true --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.senhasegura.io/llms.txt > Use this file to discover all available pages before exploring further. # GET | Listar o status da solicitação por [id] Lista o *status* de uma solicitação com base em seu ID. - ***Endpoint***: `/api/certificate/request/status/{request_id}` - ***Method***: `GET` - **Requisição**: `GET /api/certificate/request/status/{request_id}` ## Parâmetros da requisição | Parâmetro | Tipo | Obrigatório | Descrição | | --- | --- | --- | --- | | `request_id` | `int` | Sim | ID da solicitação específica cujo *status* será recuperado. | ### Exemplo utilizando cURL ``` curl -X GET "https://[segura_vault_url]/api/certificate/request/status/1" \ -H "Authorization: Bearer YOUR_API_TOKEN" ``` ### Resposta ``` { "code": 200, "response": { "status": 200, "message": "1001: OK", "error": false, "error_code": 0, "detail": "", "mensagem": "1001: OK", "erro": false, "cod_erro": 0 }, "tenant": "senhasegura", "data": { "request_code": "400", "status_request": "7 - Signed", "certificate_code": "300" } } ``` ### Respostas de erro | Código HTTP | Descrição | | --- | --- | | **400 Bad Request** | Parâmetros inválidos fornecidos. | | **401 Unauthorized** | Acesso não autorizado. | | **403 Forbidden** | Acesso proibido. | | **404 Not Found** | Recurso não encontrado. | | **500 Internal Server Error** | Erro interno do servidor. |